
#user  nobody;
worker_processes  1;

error_log  ./logs/error.log;

pid        ./logs/nginx.pid;


events {
    worker_connections  1024;
}


http {
    include       mime.types;
    default_type  application/octet-stream;

    #log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
    #                  '$status $body_bytes_sent "$http_referer" '
    #                  '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  ./logs/access.log ;

    sendfile        on;
    #tcp_nopush     on;

    #keepalive_timeout  0;
    keepalive_timeout  665;

    #gzip  on;
	
    server {
        #listen       80 default;
		include       port.conf;
        server_name  localhost;

        charset utf-8;

        location / {
            root   ./webroot;
            index  index.php index.html index.htm;
        }
        error_page   500 502 503 504 404  /50x.html;
		
        location = /50x.html {
            root   ./html;
        }
		
			
        location ~ \.php$ 
		{
			include        fcgi.conf;
            root           webroot;
			include php_port.conf;
            #fastcgi_pass   127.0.0.1:9000;
            fastcgi_index  index.php;
        }

       
    }
	
	
}
